import http from '@ohos.net.http';
import preferences from '@ohos.data.preferences';
import common from '@ohos.app.ability.common';
export declare class NativeExit {
    impl: i;
    constructor(context: common.ApplicationContext, j1: NativeSituationEventHandler);
    post(url: string, body: ArrayBuffer): Promise<http.HttpResponse>;
    prefPut(key: string, value: string): Promise<void>;
    prefGet(key: string): Promise<preferences.ValueType>;
    getDeviceInfo(i1: string): Promise<string | number>;
    getTimeInfo(): Promise<string>;
    getOsVersion(): string;
    getAppSignature(): Promise<string>;
    onSituationServerEvent(appId: string, h1: string): void;
    onSituationClientEvent(appId: string, event: number, g1: number, msg: string): void;
}
export interface NativeSituationEventHandler {
    onSituationClientEvent(appId: string, event: number, crash_code: number, msg: string): void;
    onSituationServerEvent(appId: string, respone_str: string): void;
}
declare class i {
    private context;
    private b1;
    constructor(context: common.ApplicationContext, f1: NativeSituationEventHandler);
    j(url: string, data: ArrayBuffer): Promise<http.HttpResponse>;
    m(key: string, value: string): Promise<void>;
    o(key: string): Promise<preferences.ValueType>;
    t(b1: string): Promise<string>;
    getOsVersion(): string;
    a1(): Promise<string>;
    u(): Promise<string>;
    onSituationServerEvent(appId: string, o: string): void;
    onSituationClientEvent(appId: string, event: number, j: number, msg: string): void;
}
export {};
